<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>eu.fbk.sysmlv2.ui.tests</artifactId>
	<packaging>eclipse-test-plugin</packaging>

	<parent>
		<groupId>eu.fbk.eclipse.explodtwin</groupId>
		<artifactId>eu.fbk.eclipse.explodtwin.bundles</artifactId>
		<version>1.0.0-SNAPSHOT</version>
	</parent>

	<build>
		<plugins>
			<plugin>
				<groupId>org.eclipse.xtend</groupId>
				<artifactId>xtend-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-clean-plugin</artifactId>
				<configuration>
					<filesets>
					<!--<filesets combine.children="append">--> <!-- DO NOT USE THIS OPTION -->
						<fileset>
							<directory>${basedir}/xtend-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
					</filesets>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>